Get detailed agent run trace
curl --request GET \
--url https://api.getgranite.ai/api/agent-runs/{run_id}/traceimport requests
url = "https://api.getgranite.ai/api/agent-runs/{run_id}/trace"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getgranite.ai/api/agent-runs/{run_id}/trace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agent_run_id": "<string>",
"rpa_run_id": "<string>",
"message_trace": [
{
"source": "<string>",
"event_type": "<string>",
"timestamp": "<string>",
"content": "<string>",
"details": {}
}
],
"screenshots": [
"<string>"
],
"recording": {
"recording_url": "<string>",
"signed_url": "<string>",
"filename": "<string>",
"uploaded_at": "<string>",
"file_size_mb": 123,
"expires_in_hours": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Agent
Get Trace
Get the full event trace, screenshots, and recording for a run
GET
/
api
/
agent-runs
/
{run_id}
/
trace
Get detailed agent run trace
Path Parameters
Response
Successful Response
Detailed agent run trace with media
Agent run identifier
Associated RPA run identifier
Normalized event timeline
Show child attributes
Show child attributes
Signed screenshot URLs
Execution recording metadata
Show child attributes
Show child attributes
⌘I